> ## Documentation Index
> Fetch the complete documentation index at: https://docs.awazindia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Assistants

> Returns all assistants from the system that the user has access to



## OpenAPI

````yaml GET /user/listAssistant
openapi: 3.1.0
info:
  title: AwazIndia API
  description: >-
    A sample API that uses a campaign store as an example to demonstrate
    features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.awazindia.ai/api/v1
security:
  - apiKeyAuth: []
paths:
  /user/listAssistant:
    get:
      description: Returns all assistants from the system that the user has access to
      responses:
        '200':
          description: Assistant response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Assistant'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Assistant:
      required:
        - type
        - language
        - name
        - company_name
        - accent
        - goal
        - start_speech
        - voice_id
        - voice_name
        - script
        - maximum_time_per_call
        - is_voice_note
        - voice_note
        - ai_model_id
        - sentiment
        - voice_speed
        - is_filler
        - fillers
        - assistant_image
        - ai_modal
        - sensitivity
        - temperature
        - opt_out_script
        - is_wait_start_speech
        - utterance_length
        - meeting_note_prompt
        - call_outcome_prompt
      type: object
      properties:
        type:
          description: 'Type of assistant '
          type: string
          enum:
            - inbound
            - outbound
        language:
          description: >-
            Language of the assistant. Supported values: en (English), de
            (German), hi (Hindi), es (Spanish), fr (French), it (Italian), ar-kw
            (Arabic Kuwait), gu (Gujarati), bn (Bengali), te (Telugu India), kn
            (Kannada India), ta (Tamil India), mr (Marathi).
          type: string
          enum:
            - en
            - de
            - hi
            - es
            - fr
            - it
            - ar-kw
            - gu
            - bn
            - te
            - kn
            - ta
            - mr
        name:
          description: The name of the assistant
          type: string
        company_name:
          description: The name of the company
          type: string
        accent:
          description: The accent
          type: string
        actions:
          description: The actions
          type: array
          items:
            type: object
            properties:
              type:
                type: string
                enum:
                  - scheduleMeeting
                description: Type of action (currently only scheduleMeeting is supported)
              meetingType:
                type: string
                enum:
                  - openBooking
                description: Type of meeting
              timezone:
                type: string
                description: Timezone for scheduling
              startDate:
                type: string
                description: Start date in YYYY-MM-DD format
              description:
                type: string
                description: Action description
              say:
                type: string
                description: What the assistant should say before executing the action
              length:
                type: integer
                description: Length of the meeting in minutes
              prompt:
                type: string
                description: Detailed instructions for meeting scheduling
              startTime:
                type: string
                description: Start time of booking window (e.g., 09:30 AM)
              endTime:
                type: string
                description: End time of booking window (e.g., 06:30 PM)
              bookingDays:
                type: string
                description: Comma-separated list of available booking days
            required:
              - type
              - meetingType
              - startDate
              - startTime
              - endTime
              - bookingDays
        goal:
          description: The goal of the assistant
          type: string
        start_speech:
          description: Start speech of the assistant
          type: string
        voice_id:
          description: Voice Id will get where we choose Accent
          type: string
        voice_name:
          description: Voice name will get where we choose Accent
          type: string
        zapier_hook:
          description: For Zapier hook need to add link
          type: string
        script:
          description: Script of the assistant
          type: string
        knowledge_base_Id:
          description: Knowledge base
          type: string
        maximum_time_per_call:
          description: Maximum time per call in minutes
          type: number
        is_recording:
          description: Enable disable recording
          type: boolean
        is_voice_note:
          description: Enable disable voice note
          type: boolean
        voice_note:
          description: Voice note is required if ```is_voice_note``` are enabled.
          type: string
        ai_model_id:
          description: AI model id need to pass.
          type: string
        sentiment:
          type: object
          description: Sentiment classification prompts for analyzing conversations.
          properties:
            general_prompt:
              type: string
              description: General instruction for analyzing customer interactions.
            positive_prompt:
              type: string
              description: >-
                If the customer is happy with the service, classify it as
                positive.
            negative_prompt:
              type: string
              description: If the customer is complaining, classify it as negative.
            neutral_prompt:
              type: string
              description: >-
                If the conversation is just informational, classify it as
                neutral.
        is_back_sound:
          description: Background sound enable/disable
          type: boolean
          enum:
            - true
            - false
        voice_speed:
          description: Voice speed sound enable/disable
          type: number
          enum:
            - 1
            - 1.1
            - 1.2
            - 1.3
            - 1.4
            - 1.5
            - 1.6
            - 1.7
            - 1.8
            - 1.9
            - 2
        is_filler:
          description: Filler enable/disable
          type: boolean
          enum:
            - true
            - false
        fillers:
          description: Fillers
          type: array
          enum:
            - umm
            - uhh
        assistant_image:
          description: Assistant image url
          type: string
          enum:
            - >-
              https://precallai.s3.ap-south-1.amazonaws.com/assistant_profile/1.jpeg
            - >-
              https://precallai.s3.ap-south-1.amazonaws.com/assistant_profile/1.jpeg
            - >-
              https://precallai.s3.ap-south-1.amazonaws.com/assistant_profile/3.jpeg
            - >-
              https://precallai.s3.ap-south-1.amazonaws.com/assistant_profile/4.jpeg
            - >-
              https://precallai.s3.ap-south-1.amazonaws.com/assistant_profile/5.jpeg
        ai_modal:
          description: AI modal will get where we choose Accent
          type: string
        is_sensitivity:
          description: Sensitivity enable/disable
          type: boolean
          enum:
            - true
            - false
        sensitivity:
          description: Sensitivity
          type: number
          enum:
            - 600
            - 700
            - 800
            - 900
            - 1000
            - 1100
            - 1200
            - 1300
            - 1400
            - 1500
            - 1600
            - 1700
            - 1800
            - 1900
            - 2000
        temperature:
          description: Temperature
          type: number
          enum:
            - 0.7
            - 0.8
            - 0.9
            - 1
            - 1.1
            - 1.2
            - 1.3
            - 1.4
            - 1.5
            - 1.6
            - 1.7
            - 1.8
            - 1.9
            - 2
        is_opt_out:
          description: Opt out enable/disable
          type: boolean
          enum:
            - true
            - false
        opt_out_script:
          description: If ```is_opt_out``` is enable then add opt out prompts
          type: string
          enum:
            - >-
              If a user explicitly expresses that they no longer wish to receive
              calls, such as by saying 'Don't call me again,' 'I'm not
              interested,' or any similar phrase indicating that they want to
              opt out of future communications, please trigger the 'optOut'
              function and inform the user that they will no longer be contacted
              for calls.
        is_wait_start_speech:
          description: For assistant typle is ```outbound``` then you can enable or disable
          type: boolean
          enum:
            - true
            - false
        utterance_length:
          description: Utterance length
          type: number
          enum:
            - 1
            - 2
            - 3
            - 4
            - 5
            - 6
            - 7
            - 8
            - 9
            - 10
        meeting_note_prompt:
          description: Meeting note prompt
          type: string
        call_outcome_prompt:
          description: Call outcome prompt
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header

````